Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class ModelOrgUnit

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.ModelEntity
          com.tibco.bpm.web.client.model.types.org.BaseOrgUnit
              com.tibco.bpm.web.client.model.types.org.ModelOrgUnit

    public class ModelOrgUnit

extends BaseOrgUnit

Constructor Summary
`ModelOrgUnit()`

Method Summary
`java.util.List<ModelOrgUnit>` | `getModelOrgUnitArray()`
`java.util.List<ModelPosition>` | `getModelPositionArray()`
`void` | `setModelOrgUnitArray(java.util.List<ModelOrgUnit> modelOrgUnitArray)`
`void` | `setModelPositionArray(java.util.List<ModelPosition> modelPositionArray)`
`java.lang.String` | `toString()`

Methods inherited from class com.tibco.bpm.web.client.model.types.org.BaseOrgUnit
`getAllocationMethod, getAttributeArray, getCalendarAlias, getLocationRef, getPrevilegeHolding, getPushDestArray, getSchemaType, setAllocationMethod, setAttributeArray, setCalendarAlias, setLocationRef, setPrevilegeHolding, setPushDestArray, setSchemaType`

Methods inherited from class com.tibco.bpm.web.client.model.types.org.ModelEntity
`getGuid, getLabel, getName, setGuid, setLabel, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelOrgUnit

    public ModelOrgUnit()

Method Detail

### getModelPositionArray

    public java.util.List<ModelPosition> getModelPositionArray()

### setModelPositionArray

    public void setModelPositionArray(java.util.List<ModelPosition> modelPositionArray)

### getModelOrgUnitArray

    public java.util.List<ModelOrgUnit> getModelOrgUnitArray()

### setModelOrgUnitArray

    public void setModelOrgUnitArray(java.util.List<ModelOrgUnit> modelOrgUnitArray)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ModelEntity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.